package com.sifang.modules.supply.order.request;

import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.Valid;
import java.util.List;

public class AddReturnOrderReq {
    private String id;
    @NotBlank(message = "订单编号不能为空")
    private String relationNumber;
//    @NotBlank(message = "退货方式不能为空")
    private String returnMethodId;
    private String returnMethodName;
    private String expressNo;//物流单号
    private String retrunDriver;//司机
    private String returnMobile;//联系方式
    private String returnCarNum;//车牌号
    private String returnRemark;//退货备注
    private String warehouseId;//仓库id
    private String warehouseName;//仓库名称
    private String type;//退货类型 1代理商订单退货 2代理商电站退货 3平台退货
    @Valid
    @NotEmpty(message = "materialList不能为空")
    private List<ReturnOrderDetailReq> details;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getRelationNumber() {
        return relationNumber;
    }

    public void setRelationNumber(String relationNumber) {
        this.relationNumber = relationNumber;
    }

    public String getReturnMethodId() {
        return returnMethodId;
    }

    public void setReturnMethodId(String returnMethodId) {
        this.returnMethodId = returnMethodId;
    }

    public String getReturnMethodName() {
        return returnMethodName;
    }

    public void setReturnMethodName(String returnMethodName) {
        this.returnMethodName = returnMethodName;
    }

    public String getExpressNo() {
        return expressNo;
    }

    public void setExpressNo(String expressNo) {
        this.expressNo = expressNo;
    }

    public String getRetrunDriver() {
        return retrunDriver;
    }

    public void setRetrunDriver(String retrunDriver) {
        this.retrunDriver = retrunDriver;
    }

    public String getReturnMobile() {
        return returnMobile;
    }

    public void setReturnMobile(String returnMobile) {
        this.returnMobile = returnMobile;
    }

    public String getReturnCarNum() {
        return returnCarNum;
    }

    public void setReturnCarNum(String returnCarNum) {
        this.returnCarNum = returnCarNum;
    }

    public String getReturnRemark() {
        return returnRemark;
    }

    public void setReturnRemark(String returnRemark) {
        this.returnRemark = returnRemark;
    }

    public List<ReturnOrderDetailReq> getDetails() {
        return details;
    }

    public void setDetails(List<ReturnOrderDetailReq> details) {
        this.details = details;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
